#!/usr/bin/env python
# --*-- coding: UTF-8 --*--
import sys, email, time
from email import Utils
def getdate(msg):
	if not 'date' in msg:
		return None
	datehdr=msg['date'].strip()
	try:
		return Utils.mktime_tz(Utils.parsedate_tz(datehdr))
	except:
		return None
msg=email.message_from_file(sys.stdin)
dateval=getdate(msg)
if dateval is None:
	print "no se ha encontrado una fecha válida"
else:
	print "el mensaje ha sido enviado el:",time.strftime('%A, %B %d %Y à %I:%M %p',time.localtime(dateval))


